[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.ComponentIndex

Index of component in it's owner's list.

## Declaration

Source position: classesh.inc line 1756

`public property TComponent.ComponentIndex : Integer read GetComponentIndex write SetComponentIndex;`

## Description

ComponentIndex is the index of the current component in its owner's list of components. If the component has no owner, the value of this property is -1.

## See also

Components |  | Indexed list (zero-based) of all owned components.
ComponentCount |  | Count of owned components
Owner |  | Owner of this component.

Documentation generated on: Feb 26 2014